org.eclipse.wst.jsdt.debug.core.model

## Interface IJavaScriptPrimitiveValue

All Superinterfaces:
  IJavaScriptValue

    public interface IJavaScriptPrimitiveValue
    extends IJavaScriptValue

Describes a primitive value

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.debug.core.model.IJavaScriptValue

`ARRAY, BOOLEAN, FUNCTION, NULL, NUMBER, OBJECT, STRING, UNDEFINED, UNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `booleanValue()` Returns the boolean for the value.
`double` `doubleValue()` Returns the double for the value.
`int` `intValue()` Returns the integer for the value.
`java.lang.String` `stringValue()` Returns the String value for the value.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.model.IJavaScriptValue

`getDetailString, isNull`

### Method Detail

#### intValue

    int intValue()

Returns the integer for the value.

Returns:
  the integer value

#### doubleValue

    double doubleValue()

Returns the double for the value.

Returns:
  the double value

#### booleanValue

    boolean booleanValue()

Returns the boolean for the value.

Returns:
  the boolean value

#### stringValue

    java.lang.String stringValue()

Returns the String value for the value.
This method can return `null`

Returns:
  the `String` value